.ultra-ball-in-btn {
	max-width: 5%;
	max-height: 100%;
	margin: 1%;
}

#start-fight-btn {
	display: flex;
	width: 100%;
	font-size: 150%;
}

.btn-span {
	flex-grow: 1;
	text-align: center;
}

#home-title-row {
	margin-top: 20%;
}

.pokemon-slot {
	padding: 5px;
}

.pokemon-item {
	position: relative;
	overflow: hidden;
}

.pokemon-img {
	width: 100%;
	height: auto;
	max-width: 150px;
	transition: all .3s ease;
}

.pokemon-info {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	background: rgba(0 0 0 40%);
	color: white;
	padding: 10px;
	text-align: center;
	opacity: 0;
	transition: opacity .3s ease;
}

.pokemon-item:hover .pokemon-img {
	filter: grayscale(100%);
}

.pokemon-item:hover .pokemon-info {
	opacity: 1;
}

.type-img {
	width: 16px;
	height: 16px;
	margin: 2px;
}

.pokemon-radio {
	position: absolute;
	top: 10px;
	left: 10px;
	z-index: 1;
	transform: scale(1.5);
}

.selected {
	border: 3px solid red;
	border-radius: 10px;
}

body {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	font-family: "Helvetica Neue", Arial, sans-serif;
	background-color: #f8f8f8;
	margin: 0;
	padding: 0;
}

.battle-arena {
	display: flex;
	width: 80%;
	height: 80vh;
	justify-content: space-around;
	align-items: center;
	background-color: #fff;
	border: 2px solid #000;
	border-radius: 10px;
	box-shadow: 0 0 10px rgba(0 0 0 10%);
	padding: 20px;
}

.pokemon-container {
	width: 45%;
	display: flex;
	flex-direction: column;
	align-items: center;
	background-color: #fafafa;
	padding: 10px;
	border-radius: 10px;
	box-shadow: 0 0 5px rgba(0 0 0 10%);
}

.pokemon-image {
	width: 100%;
	max-width: 300px;
	height: auto;
	border: 2px solid #3b4cca;
	border-radius: 10px;
	background-color: #f8d030;
}

.health-bar {
	width: 80%;
	height: 20px;
	background-color: #d22e2e;
	margin: 10px 0;
	border-radius: 10px;
	border: 2px solid #22a029;
	position: relative;
	overflow: hidden;
}

.health-bar-fill {
	height: 100%;
	background-color: #22a029;
	width: 100%;
	border-radius: 10px;
	transition: width .3s ease;
}

.buttons {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.buttons button {
	margin: 5px 0;
	padding: 10px 20px;
	font-size: 16px;
	color: #fff;
	background-color: #3b4cca;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	transition: background-color .3s ease;
}

.buttons button:hover {
	background-color: #2b3c99;
}
